Package org.eclipse.m2m.atl.profiler.core.exception

# Class NoRegisteredOperationFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.m2m.atl.profiler.core.exception.NoRegisteredOperationFoundException

All Implemented Interfaces:
  `Serializable`

public class NoRegisteredOperationFoundException extends Exception
An thrown when an operation isn't found.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoRegisteredOperationFoundException(String msg)`
Creates an exception with the given message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoRegisteredOperationFoundException

public NoRegisteredOperationFoundException(String msg)
Creates an exception with the given message.

Parameters:
  `msg` - the message